Skip to main content
POST
cURL
This endpoint creates a new SharePolicy for a dashboard, which enables advanced sharing features including:
  • Signed URL generation with expiration dates
  • Parameter passing to dashboard variables
  • Control over URL parameter allowance
  • Enhanced security for public dashboards

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the project

Response

Created share policy

id
integer
entity_type
enum<string>
Available options:
Project,
Chart
entity_id
integer
params
object[]

Parameters to pass to variables in the dashboard's charts

allow_params
boolean
default:false

Whether to allow parameters to be passed via URL

createdAt
string<date-time>
updatedAt
string<date-time>